/*
  This program generates timing data (in milliseconds) for a range of
  different array sizes, and optionally saves the data to a file.

  Usage:  java SortTimer <sort_name> <start_size> [end_size] [increment] [filename]

  where <sort_name> is one of the following:
     bubble, selection, insertion, shell, merge, merge2,
     quick, quick2, count1, count2, count3

  and <start_size> is the initial size of the random data array

  Examples:

  java SortTimer bubble 10000
     prints timing data for an array of size 10000

  java SortTimer bubble 10000 20000
     prints timing data for arrays of sizes 10000 to 20000 in steps of 1000

  java SortTimer bubble 10000 20000 2500
     prints timing data for arrays of sizes 10000 to 20000 in steps of 2500

  Optionally, you can include a filename as the last command-line argument.
  This will save the output to the file, in addition to printing it on the
  screen.  This data can then be graphed using a plotting program such as
  gnuplot, as shown below:

  java SortTimer bubble 10000 20000 2500 bubble.txt
  java SortTimer selection 10000 20000 2500 selection.txt

  gnuplot> set style data lines
  gnuplot> plot "bubble.txt", "selection.txt"

*/

public class SortTimer extends Sort {

    public static void main(String[] args) throws java.io.IOException {
        new Sort().run_timing_tests(args);
    }
}
