// a simple Stopwatch class

public class Stopwatch {
   
    private long startTime;
    private long elapsedTime;
    private boolean isRunning;
   
    public Stopwatch() {
        this.startTime = 0;
        this.elapsedTime = 0;
        this.isRunning = false;
    }
   
    public void start() {
        assert !this.isRunning : "already running";
        this.startTime = System.currentTimeMillis();
        this.isRunning = true;
    }
   
    public void stop() {
        assert this.isRunning : "not running";
        long endTime = System.currentTimeMillis();
        this.elapsedTime = endTime - this.startTime;
        this.isRunning = false;
    }
   
    // returns elapsed time in milliseconds
    public long getElapsedTime() {
        if (this.isRunning) {
            long endTime = System.currentTimeMillis();
            return endTime - this.startTime;
        } else {
            return this.elapsedTime;
        }
    }
}
